Name:           remontoire
Version:        1.4.4
Release:        %autorelease
Summary:        Remontoire app to show keybindings

License:        GPL-3.0-only 
URL:            https://github.com/regolith-linux/remontoire/
Source0:        %{url}archive/refs/tags/v%{version}.tar.gz
Patch0:          remontoire-appdata-description.patch

BuildRequires:  gtk3-devel
BuildRequires:  libappstream-glib
BuildRequires:  libgee-devel
BuildRequires:  json-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  vala

%description
Small GTK app for presenting keybinding.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.regolith-linux.remontoire.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/org.regolith-linux.remontoire.appdata.xml

%files
%license COPYING
%{_bindir}/remontoire
%{_datadir}/appdata/org.regolith-linux.remontoire.appdata.xml
%{_datadir}/applications/org.regolith-linux.remontoire.desktop
%{_datadir}/glib-2.0/schemas/org.regolith-linux.remontoire.gschema.xml


%changelog
%autochangelog 
